/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
//#region ../automated-config/dist/utils/defaults.js
/*! © 2026 Yahoo, Inc. UDS Default Config v0.0.0-development */
function getConfigDefaultValue(config, componentName, variant) {
	const result = (config[componentName]?.defaults)?.[variant];
	if (result === void 0) throw new Error(`The variant default for "${String(variant)}" is not defined for the component "${String(componentName)}"`);
	return result;
}
function isConfigDefaultValue(config, componentName, variant, value) {
	return getConfigDefaultValue(config, componentName, variant) === value;
}
//#endregion
exports.getConfigDefaultValue = getConfigDefaultValue;
exports.isConfigDefaultValue = isConfigDefaultValue;
